Name:          sonata
Version:       1.6.2.1
Release:       2mamba
Summary:       GTK+ music client for MPD
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://sonata.berlios.de/
Source:        http://download.berlios.de/sonata/sonata-%{version}.tar.gz
License:       GPL
Requires:      python >= %python_version
Requires:      pyorbit
Requires:      python-gnome-extras
Requires:      python-zsi
Requires:      perl-XML-Parser
Requires:      dbus-python 
Requires:      python-notify
Requires:      pygtk
Requires:      python-elementtree
Requires:      python-SOAP
Requires:      python-tagpy
Requires:      python-mpd
BuildRequires: libffi-devel
## AUTOBUILDREQ-BEGIN
BuildRequires: dbus-python-devel
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libpango-devel
BuildRequires: libpython-devel >= %python_version
BuildRequires: libz-devel
BuildRequires: perl-XML-Parser
BuildRequires: pygtk-devel
BuildRequires: pyorbit
BuildRequires: python >= %python_version
BuildRequires: python-elementtree
BuildRequires: python-gnome-extras-devel
BuildRequires: python-mpd
BuildRequires: python-notify
BuildRequires: python-SOAP
BuildRequires: python-tagpy
BuildRequires: python-zsi
## AUTOBUILDREQ-END
BuildRequires: mpd
#Versions of packages sonata depends on:

# python 
# python-central       not installed (source/url not found)
# python-dbus          installed
# python-gtk2          installed
# python-mmkeys        not installed (source/url not found)
# PyGTK                installed

#Versions of packages sonata recommends:

# python-elementtree   installed
# python-gnome-extras  installed
# python-tagpy         installed
# python-zsi           installed

BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Sonata is an elegant GTK+ music client for the Music Player Daemon (MPD).

Sonata is licensed by the GPL and is free software.
It has been forked from the unmaintained Pygmy project in order to fix bugs, introduce new features, and proceed down a different path.
Features:

- Expanded and collapsed views
- Automatic remote and local album art
- User-configurable columns
- Automatic fetching of lyrics
- Playlist and stream support
- Support for editing song tags
- Popup notification
- Library and playlist searching
- Audioscrobbler (last.fm) support
- Multiple MPD profiles
- Keyboard friendly
- Support for multimedia keys
- Commandline control
- Available in 19 languages

%prep

%setup -q

%build
CFLAGS="%{optflags}" python setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
python setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch}


mkdir -p %{buildroot}%{_docdir}/%{name}

mv %{buildroot}%{_datadir}/sonata/CHANGELOG %{buildroot}%{_docdir}/%{name}/
mv %{buildroot}%{_datadir}/sonata/README %{buildroot}%{_docdir}/%{name}/
mv %{buildroot}%{_datadir}/sonata/TODO %{buildroot}%{_docdir}/%{name}/
mv %{buildroot}%{_datadir}/sonata/TRANSLATORS %{buildroot}%{_docdir}/%{name}/
rm %{buildroot}%{_datadir}/sonata -rf

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/sonata
%{python_sitearch}/mmkeys.so
%dir %{python_sitearch}/sonata
%{python_sitearch}/sonata/*.py
%{python_sitearch}/sonata/*.pyc
%{python_sitearch}/sonata/plugins/*.py
%{python_sitearch}/sonata/plugins/*.pyc
%{python_sitearch}/Sonata-%{version}-py*.egg-info
%{_datadir}/applications/sonata.desktop
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/sonata.1.gz
%dir %{_docdir}/sonata
%doc %{_docdir}/sonata/CHANGELOG
%doc %{_docdir}/sonata/README
%doc %{_docdir}/sonata/TODO
%doc %{_docdir}/sonata/TRANSLATORS

#ImportError: could not import bonobo.ui solved by installing pyorbit

#(111, 'Connection refused') ...
%changelog
* Thu Aug 15 2013 Automatic Build System <autodist@mambasoft.it> 1.6.2.1-2mamba
- automatic rebuild by autodist

* Tue Sep 29 2009 Automatic Build System <autodist@mambasoft.it> 1.6.2.1-1mamba
- automatic update by autodist

* Wed Apr 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.2-1mamba
- automatic update by autodist

* Sat Oct 04 2008 gil <puntogil@libero.it> 1.5.3-1mamba
- update to 1.5.3

* Mon Aug 18 2008 gil <puntogil@libero.it> 1.5.2-1mamba
- package created by autospec
- error (111, 'Connection refused') could depend on the wrong mpd setting or python-taglib tagpy  (optional) not installed 
